package org.springblade.mq.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * title: DeviceInstruct
 * package: com.sptg.common.core.enums
 * description: 设备指令
 *
 *
 *
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum Instruct {

    /**
     * 添加用户
     */
    ADD_USER("add_user", Instruct.REPEATER_EXCHANGE, "添加人员名单"),
	JVT_ADD_USER("add_user_face", Instruct.PERSISTENT_EXCHANGE, "添加人脸"),
	JVT_OPEN_DOOR("open_door", Instruct.PERSISTENT_EXCHANGE, "远程开门"),

	/**
	 * 删除用户
	 */
	delete_user("delete_user",Instruct.PERSISTENT_EXCHANGE,"删除用户"),
	delete_user_face("delete_user_face",Instruct.PERSISTENT_EXCHANGE,"删除用户人脸"),

	/**
	 * 批量添加用户
	 */
	ADD_USER_BATCH("add_user_batch", Instruct.REPEATER_EXCHANGE, "批量添加人员名单");

	private String code;

	private String exchangeName;

    private String describe;

	/**
	 * 适配器交换机
	 */
	private static final String REPEATER_EXCHANGE = "REPEATER_EXCHANGE";

	/**
	 * 持久化交换机
	 */
	private static final String PERSISTENT_EXCHANGE = "PERSISTENT_EXCHANGE";

}
